Bug Hunting Session
Bug 56970 - switching between sheets with different directionality hides the + button for new sheet
Summary: switching between sheets with different directionality hides the + button for...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium normal
Assignee: Lior Kaplan
URL:
Whiteboard: target:4.1.0 target:3.6.5 target:4.0....
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-11-11 00:36 UTC by Lior Kaplan
Modified: 2014-12-22 04:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
before changing sheet directionality (with + button) (69.30 KB, image/png)
2012-11-11 00:43 UTC, Lior Kaplan
Details
after changing sheet directionality (without + button) (68.38 KB, image/png)
2012-11-11 00:44 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-11-11 00:36:40 UTC
When changing a directionality of a sheet or selecting another sheet with different directionality (in both cases, changing the location of the sheets tab from left to right or the opposite) makes the + button for adding a new sheet to disappear.

When ever getting to the original location, the button appears again.

This happens when switching to RTL sheets in LTR (e.g. English) interface or switching to LTR sheets in RTL (e.g. Hebrew) interface.
Comment 1 Lior Kaplan 2012-11-11 00:43:43 UTC
Created attachment 69882 [details]
before changing sheet directionality (with + button)
Comment 2 Lior Kaplan 2012-11-11 00:44:22 UTC
Created attachment 69883 [details]
after changing sheet directionality (without + button)
Comment 3 Not Assigned 2012-12-20 13:03:29 UTC
Issa Alkurtass committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53f23ca68dda1011f97bb28d672c7198e9e12c90

fdo#56970 Fixed insert new sheet button for different directionality



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-12-20 15:24:27 UTC
Issa Alkurtass committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85796e4759e67e8bcdd6b6c47206bbb7df2c546c&g=libreoffice-3-6

fdo#56970 Fixed insert new sheet button for different directionality


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-20 15:24:47 UTC
Issa Alkurtass committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df7148afb1cb81a14592befb20ca21fdc01eee9c&g=libreoffice-4-0

fdo#56970 Fixed insert new sheet button for different directionality


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Lior Kaplan 2012-12-23 13:49:19 UTC
Fixed and backported to 3-6 and 4-0 branches.
Comment 7 Lior Kaplan 2013-01-22 20:29:06 UTC
Verified in 3.6.5 rc2. Thank you very much Issa for fixing this.
Comment 8 Ahmad Harthi 2014-11-05 11:54:00 UTC
This bug is Reopened on a regression based on #fdo36772
Comment 9 Commit Notification 2014-12-22 04:20:51 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87f3ff202efc3a4445d5af1a9526fb0369fa9371

fdo#56970 Show insert tab at the correct position when RTL is on

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-12-22 04:26:41 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0379e8f220941087ea025b37b0f70eb25f8de07&h=libreoffice-4-4

fdo#56970 Show insert tab at the correct position when RTL is on

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.